petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscObjectGetClassId

Gets the classid for any PetscObject

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetClassId(PetscObject obj,PetscClassId *classid)

Not Collective

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetClassId((PetscObject)mat,&classid);

### Output Parameter

classid -the classid

### Level

developer

### Location

src/sys/objects/gcookie.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages